#! /usr/bin/python
# encoding: utf-8

#*    dsgui - a graphical user interface for Datove schranky
#*    Copyright (C) 2009-2010  CZ.NIC, z.s.p.o. (http://www.nic.cz)
#*
#*    This library is free software; you can redistribute it and/or
#*    modify it under the terms of the GNU Library General Public
#*    License as published by the Free Software Foundation; either
#*    version 2 of the License, or (at your option) any later version.
#*
#*    This library is distributed in the hope that it will be useful,
#*    but WITHOUT ANY WARRANTY; without even the implied warranty of
#*    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
#*    Library General Public License for more details.
#*
#*    You should have received a copy of the GNU Library General Public
#*    License along with this library; if not, write to the Free
#*    Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA


import sys
import glob
import os
#from setuptools import setup, find_packages
from distutils.core import setup


# the setup itself
# dslib subpackages
dslib_dir = "dslib"
dslib_subpackages = []
for name,dirs,files in os.walk(dslib_dir, followlinks=True):
  if os.path.exists(os.path.join(name,"__init__.py")):
    if not "suds-svn-work" in name:
      dslib_subpackages.append(name.replace("/","."))
print dslib_subpackages

set = setup(
  name = 'dsgui',
  version = '0.4.1',
  description = u"dsgui is a GUI for dslib - a free library for 'Datové schránky'",
  author = "CZ.NIC Labs",
  author_email = "bedrich.kosata@nic.cz",
  url = "http://labs.nic.cz/datove-schranky/",
  license = "GNU LGPL",
  platforms = ["Unix", "Windows","MacOS X"],
  long_description = "dsgui is a GUI for dslib - a free library for 'Datové schránky'",
  
  packages=['dsgui']+dslib_subpackages,
  package_dir = {'dsgui': './'},
  data_files = [('dslib', ['dslib/README', 'dslib/LICENSE']),
                ('doc', ['doc/index.html']),
                ('dslib/pyasn1', ['dslib/pyasn1/LICENSE']),
                ('dslib/trusted_certificates', glob.glob('dslib/trusted_certificates/*.pem')),
                ('icons',glob.glob('icons/*.png')+glob.glob('icons/*.svg')),
                ],
  
  )

